Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# rc.hh File Reference

A GtkRcStyle C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/gtk/enums.hh>`
`#include <gtk/gtkrc.h>`
`#include <vector>`
`#include <xfc/gtk/inline/rc.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Gdk
- namespace Xfc::Pango
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::RC
    A C++ wrapper class for the various resource file functions. More...
- class Xfc::Gtk::RcStyle
    A GtkRcStyle C++ wrapper class. More...

## Detailed Description

A GtkRcStyle C++ wrapper interface.

GTK+ provides a resource file mechanism for configuring various aspects of the operation of a GTK+ program at runtime. XFC wraps the API for managing resource files into a one convenient class, called RC.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3